Package org.eclipse.emf.cdo.explorer

## Class CDOExplorerUtil

- java.lang.Object
- - org.eclipse.emf.cdo.explorer.CDOExplorerUtil

-     public final class CDOExplorerUtil
      extends java.lang.Object

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `URI_SCHEME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOExplorerUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IResource` | `createWorkspaceLink​(CDOCheckout checkout, java.lang.String sourcePath, IContainer targetContainer, java.lang.String targetName, boolean shallowTimeStamp, IProgressMonitor monitor)` |
    `static IResource` | `createWorkspaceLink​(CDOCheckout checkout, java.lang.String sourcePath, IContainer targetContainer, java.lang.String targetName, IProgressMonitor monitor)` |
    `static java.lang.String` | `getCDOIDString​(CDOID id)` |
    `static CDOCheckout` | `getCheckout​(java.lang.Object object)` |
    `static CDOCheckoutManager` | `getCheckoutManager()` |
    `static java.lang.String` | `getName​(java.lang.Object object)` |
    `static java.lang.Object` | `getParent​(java.lang.Object object)` |
    `static java.util.LinkedList<java.lang.Object>` | `getPath​(java.lang.Object object)` |
    `static CDORepositoryManager` | `getRepositoryManager()` |
    `static CDOCheckout` | `walkUp​(java.lang.Object object, java.util.LinkedList<java.lang.Object> path)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### URI_SCHEME

          public static final java.lang.String URI_SCHEME

      Since:
        4.8
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CDOExplorerUtil

          public CDOExplorerUtil()

  - ### Method Detail

    - #### getRepositoryManager

          public static CDORepositoryManager getRepositoryManager()

    - #### getCheckoutManager

          public static CDOCheckoutManager getCheckoutManager()

    - #### getCheckout

          public static CDOCheckout getCheckout​(java.lang.Object object)

    - #### getParent

          public static java.lang.Object getParent​(java.lang.Object object)

    - #### getName

          public static java.lang.String getName​(java.lang.Object object)

    - #### getPath

          public static java.util.LinkedList<java.lang.Object> getPath​(java.lang.Object object)

    - #### walkUp

          public static CDOCheckout walkUp​(java.lang.Object object,
                                           java.util.LinkedList<java.lang.Object> path)

    - #### getCDOIDString

          public static java.lang.String getCDOIDString​(CDOID id)

      Since:
        4.7

    - #### createWorkspaceLink

          public static IResource createWorkspaceLink​(CDOCheckout checkout,
                                                      java.lang.String sourcePath,
                                                      IContainer targetContainer,
                                                      java.lang.String targetName,
                                                      boolean shallowTimeStamp,
                                                      IProgressMonitor monitor)
                                               throws CoreException

      Throws:
        `CoreException`
      Since:
        4.9

    - #### createWorkspaceLink

          public static IResource createWorkspaceLink​(CDOCheckout checkout,
                                                      java.lang.String sourcePath,
                                                      IContainer targetContainer,
                                                      java.lang.String targetName,
                                                      IProgressMonitor monitor)
                                               throws CoreException

      Throws:
        `CoreException`
      Since:
        4.9